Bug 1121611 - Create app should reported warning message if DEFAULT_REGION_NAME is an non-exist region name
Summary: Create app should reported warning message if DEFAULT_REGION_NAME is an non-e...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 11:21 UTC by Anping Li
Modified: 2017-01-13 22:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 22:31:45 UTC


Attachments (Terms of Use)

Description Anping Li 2014-07-21 11:21:58 UTC
Description of problem:
if set DEFAULT_REGION_NAME to an non-exist region name. there should be warning message in production.log during application creation.

Version-Release number of selected component (if applicable):
OSE-2.1 puddle-2-1-2014-07-18

How reproducible:
Always

Steps to Reproduce:
1. Create two regions named usa & cn
2. Set DEFAULT_REGION_NAME to USA 
3. Create district and set region to cn
4. create application and watch the production.log

Actual results:
The application created. and there isn't warning message in production.log

Expected results:
There should be message like " DEFAULT_REGION_NAME USA is invalid, Specified region will be ignored" in production.log

Additional info:

Comment 2 Rory Thrasher 2017-01-13 22:31:45 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.